/*
 * ResourceSpecException.java
 * Exception indicating that the system couldn't satisfy a resource
 * specification.
 *
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * @JANOSVM_JVMLIB_LICENSE@
 */

package edu.utah.janosvm.resources;

/**
 * Exception indicating that the system couldn't satisfy a resource
 * specification.
 * <p>
 * XXX Needs to be MUCH more descriptive.
 *
 * @author Tim Stack, <a href="mailto:janos-discuss@flux.cs.utah.edu">Utah Janos Team</a>
 */
public class ResourceSpecException
    extends Exception
{
    public ResourceSpecException()
    {
	super();
    }

    public ResourceSpecException(String msg)
    {
	super(msg);
    }
}
