/*
 * DuplicateExportException.java
 * Exception thrown when trying to import an object that doesn't exist.
 *
 * Copyright (c) 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * @JANOSVM_JVMLIB_LICENSE@
 */

package edu.utah.janosvm.sys;

/**
 * Exception thrown when trying to import an object that doesn't exist.
 *
 * @author Tim Stack, <a href="mailto:janos-discuss@flux.cs.utah.edu">Utah Janos Team</a>
 */
public class NoSuchExportException
    extends Exception
{
/*
    public NoSuchExportException()
    {
	super();
    }
*/

    public NoSuchExportException(String s)
    {
	super(s);
    }
}
