/*
 * VMInstance.java
 * Functions specific to the VM as a whole
 *
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * @JANOSVM_JVMLIB_LICENSE@
 */

package edu.utah.janosvm.sys;

/**
 * Functions specific to the VM as a whole.
 *
 * @author Tim Stack, <a href="mailto:janos-discuss@flux.cs.utah.edu">Utah Janos Team</a>
 */
public class VMInstance
{
    /**
     * Shutdown the VM.
     */
    public static native void shutdown();

    /**
     * Get the name of this VM instance.
     */
    public static native String getName();
}
