/*
 * dirFileType.h
 * Class path fileTypeHandler for directories
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#ifndef _dir_file_type_h
#define _dir_file_type_h

/*
 * This module is a class path fileTypeHandler that handles directory entries.
 */

#include "classPath.h"

/*
 * AddModule: dirFileTypeModule
 *   ModuleDependency: classPathModule.handlers
 *   Comment: Install our fileTypeHandler so classPath can use it
 */

#endif
