/*
 * jsiPlexProvider.h
 * Provider for plex channels
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#ifndef _jsi_plex_provider_h
#define _jsi_plex_provider_h

#include "jsi.h"

struct _jsiPlexInLink;

typedef struct _jsiPlexProvider {
	jsiProvider provider;
	struct _jsiPlexInLink *link;
} jsiPlexProvider;

extern jsiProviderFunctions jsiPlexProviderImplementation;

#endif
