/*
 * jsiImpl.c
 * Low level functions required by the JanosVM Scripting Interface layer
 *
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#include "jsi.h"
#include "jsiImpl.h"

#ifndef JSI_INLINE

#include "jsiImpl-inline.h"

#endif

void jsiLog(char *fmt, ...)
{
#ifdef DEBUG
	va_list args;

	va_start(args, fmt);
	vfprintf(stderr, fmt, args);
	fprintf(stderr, "\n");
	va_end(args);
#endif
}

void jsiDeleteProvider(jsiProvider *jp)
{
}
