/*
 * Copyright (c) 1999, 2000 The University of Utah.  All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 *
 * See the file "license.terms" for information on usage and redistribution 
 * of this file.
 *
 * Contributed by the Flux Research Group at the University of Utah.
 * Authors: Godmar Back, Leigh Stoller, Patrick Tullmann
 */
/*
 * jthread global variables
 */

#include "anjthread_types.h"
#include "anjthread_globals.h"

an_mutex_t jthread_creationLock;
struct _jthread* jthread_liveThreads = 0;	

int	jthread_talive = 0;
int	jthread_tdaemon = 0;

void*	(*jthread_allocator)(size_t) = NULL; /* XXX deprecated */
void	(*jthread_deallocator)(void*) = NULL; /* XXX deprecated */
void	(*jthread_destructor1)(void*) = NULL;
void	(*jthread_onstop)(void) = NULL;
