/*
 * Copyright (c) 1999, 2000 The University of Utah.  All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 *
 * See the file "license.terms" for information on usage and redistribution 
 * of this file.
 *
 * Contributed by the Flux Research Group at the University of Utah.
 * Authors: Godmar Back, Leigh Stoller, Patrick Tullmann
 */
/*
 * jthread sleep function
 */

#include "anjthread_types.h"
#include "anjthread_sleep.h"

/*      
 * sleep for time milliseconds
 */     
void
jthread_sleep(jlong time)
{
	an_timespec_t t;
	t.tv_sec = time / 1000;
	t.tv_nsec = (time % 1000) * 1000000;
	an_thread_sleep(&t);
}

