/*
 * Copyright (c) 1999, 2000 The University of Utah.  All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 *
 * See the file "license.terms" for information on usage and redistribution 
 * of this file.
 *
 * Contributed by the Flux Research Group at the University of Utah.
 * Authors: Godmar Back, Leigh Stoller, Patrick Tullmann
 */

/*
 * jthread sleep
 */

#ifndef anjthread_sleep_h
#define anjthread_sleep_h

#include "config.h"
#include "jtypes.h"

/*
 * sleep for given number of milliseconds
 */
void 	jthread_sleep(jlong time);

#endif /* anjthread_sleep_h */
