/*
 * StdinInputStream.c
 * Native functions for edu/utah/janosvm/io/StdinInputStream.java
 *
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * XXX move this code into kaffe/janosvm/<something>
 */

#include "config.h"
#include "config-std.h"
#include "config-io.h"
#include "config-mem.h"
#include "files.h"
#include "defs.h"
#include "jsyscall.h"
#include "edu_utah_janosvm_io_StdinInputStream.h"
#include "../../../kaffe/kaffevm/support.h"
#include "../../../kaffe/kaffevm/stringSupport.h"
#include "../../../kaffe/janosvm/stdioResource.h"

jint
edu_utah_janosvm_io_StdinInputStream_readInt(
	struct Hedu_utah_janosvm_io_StdinInputStream *is)
{
	char retval = 0;

	if( stdioRead(&retval, 1) == -1 )
	{
		retval = -1;
	}
	return( (jint)retval );
}

jint
edu_utah_janosvm_io_StdinInputStream_read(
	struct Hedu_utah_janosvm_io_StdinInputStream *is,
	HArrayOfByte *arr,
	jint off,
	jint len)
{
	jint retval = 0;

	if( arr )
	{
		char *buffer = (char *)ARRAY_DATA(arr);
		int size = ARRAY_SIZE(arr);
		
		/* XXX Fix ME */
		retval = stdioRead(&buffer[off], MIN(len, size));
	}
	return( retval );
}
