/*
 * ClassPathSpec.java
 * Emulates the services provided by the real class.
 *
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.resources;

/**
 * Specification for the class path resource.
 */
public final class ClassPathSpec
	extends ResourceSpec
{
    /**
     * Construct a class path specification with given paths.
     *
     * @param entries An array of strings specifying each part of the path.
     */
    public ClassPathSpec(String entries[])
    {
    }
    
    public int getPathCount()
    {
	return 0;
    }

    public String getPath(int index)
    {
	return null;
    }

    public Object clone()
    {
	return new ClassPathSpec(null);
    }

    public static ClassPathSpec current()
    {
	return new ClassPathSpec(null);
    }
}
