/*
 * MemorySpec.java
 * Emulates the services provided by the real class.
 *
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.resources;

/**
 * Specification for memory resources.
 */
public final class MemorySpec
	extends ResourceSpec
{
    /**
     * Construct a memory resource specification that requires the given
     * amount of memory.
     *
     * @param max The amount of memory required for the team to run.
     */
    public MemorySpec(int max)
    {
    }

    public MemorySpec(int max, String policyClass)
    {
    }
}
