/*
 * CommSpaceable.java
 * Interface declaring that this object can be placed in a
 * CommSpaceElement
 *
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.kit.comm.commspace;

/**
 * Allows an arbitrary object to be capable of being placed in a
 * CommSpaceElement by providing the necessary copy mechanism.
 */
public interface CommSpaceable
{
    Object deepCopy();
}
