/*
 * JSIEncodingException.java
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.kit.comm.jsi;

/**
 * Exception indicating that there was a problem with the encoding of a
 * JSIMessage.
 */
public class JSIEncodingException
    extends Exception
{
    public JSIEncodingException(String msg)
    {
	super(msg);
    }

    public JSIEncodingException()
    {
    }
}
