#
# Copyright (c) 2001 The University of Utah and the Flux Group.
# All rights reserved.
# 
# This file is part of the JanosVM documentation.
# 
# Permission to use, copy, modify, distribute, and sell this
# documentation for any purpose is hereby granted without fee,
# provided that the above copyright notice(s) appear in all copies.
#
# Author: Tim Stack
#

from janosvm import *

class NativePath:
    def __init__(self, jvm):
        self.jvm = jvm
        self.jvm.msg.pushSpecifier("nativepath")

    def get(self):
        self.jvm.msg.setWhat(JSI_GET_PROPERTY)
        reply = self.jvm.send()
        lpc = 0
        count = reply.identifierCount("result")
        retval = []
        while lpc < count:
            retval.append(reply.find("result", lpc))
            lpc = lpc + 1
        return retval
