#
# Copyright (c) 2001 The University of Utah and the Flux Group.
# All rights reserved.
# 
# This file is part of the JanosVM documentation.
# 
# Permission to use, copy, modify, distribute, and sell this
# documentation for any purpose is hereby granted without fee,
# provided that the above copyright notice(s) appear in all copies.
#
# Author: Tim Stack
#

from janosvm import *

class XProfiler:
    def __init__(self, jvm):
        self.jvm = jvm
        self.jvm.msg.pushSpecifier("xprofiler", "")

    def stage(self, name):
        self.jvm.msg.setWhat(JSI_EXECUTE_PROPERTY)
        self.jvm.msg.pushSpecifier("stage")
        self.jvm.msg.add("name", name)
        reply = self.jvm.send()
        return string.atoi(reply.find("result"))
