
import edu.utah.janosvm.sys.Team;
import edu.utah.janosvm.sys.TeamHandle;

import edu.utah.janosvm.resources.StdioSpec;
import edu.utah.janosvm.resources.ResourceSpec;

public class IllegalStdio
{
    public static void main(String args[])
	throws Exception
    {
	try
	{
	    new StdioSpec(null, "jsi://", "jsi://");
	}
	catch(NullPointerException e)
	{
	    System.out.println("Caught null exception #1");
	}
	
	try
	{
	    new StdioSpec("", null, "");
	}
	catch(NullPointerException e)
	{
	    System.out.println("Caught null exception #2");
	}
	
	try
	{
	    new StdioSpec("", "", null);
	}
	catch(NullPointerException e)
	{
	    System.out.println("Caught null exception #3");
	}
    }
}

/* Expected Output:
Caught null exception #1
Caught null exception #2
Caught null exception #3
*/
