
public class UncaughtException
{
    private static class UncaughtRunnable
	implements Runnable
    {
	public void run()
	{
	    throw new Error("Catch me");
	}
    }
    
    public static void main(String args[])
	throws Exception
    {
	Thread th = new Thread(new UncaughtRunnable());

	th.start();
	th.join();
    }
}

/* Expected output:
java/lang/Error:Catch me
	at java.lang.Throwable.fillInStackTrace(Throwable.java:native)
	at java.lang.Throwable.<init>(Throwable.java:40)
	at java.lang.Error.<init>(Error.java:21)
	at UncaughtException$UncaughtRunnable.run(UncaughtException.java:9)
	at java.lang.Thread.run(Thread.java:299)
*/
