/*
 * DeadTeamException.java
 * Exception thrown when a visit cannot be done because the team is dead.
 *
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * @JANOSVM_JVMLIB_LICENSE@
 */

package edu.utah.janosvm.sys;

/**
 * Exception thrown when a visit cannot be done because the team
 * being visited is dead.
 *
 * @author Tim Stack, <a href="mailto:janos-discuss@flux.cs.utah.edu">Utah Janos Team</a>
 */
public class DeadTeamException
    extends Exception
{
    public DeadTeamException()
    {
	super();
    }

    public DeadTeamException(String s)
    {
	super(s);
    }
}
