#!/usr/local/bin/perl -w
#
# btparse.pl <symtrace> <kernel> 
#
# Parse a slew of backtrace dumps
#

$symtrace=shift;
$kernel=shift;

while (<>) {
  if (/^Backtrace/) {
    print "\n$_";

    $trace = <> || die "malformed file";
    open(SYMLOOKUP, "|$symtrace -oneline -o $kernel") || die "gak: $!";
    print SYMLOOKUP "$trace\n";
    close SYMLOOKUP;
  }
}
