/*
 * jsiImpl.c
 * Low level functions required by the JanosVM Scripting Interface layer
 *
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#include "jsiImpl.h"

#ifndef JSI_INLINE

/* We're not inlining, so define the functions in this object file. */

#include "jsiImpl-inline.h"

#endif

void jsiLog(char *fmt, ...)
{
	char buf[1024];
	va_list args;

	va_start(args, fmt);
	vsprintf(buf, fmt, args);
	teamLog("jsi", buf);
	va_end(args);
}
