/*
 * machineDependent.h
 * Perform any machine dependent initialization
 *
 * Copyright (c) 2000 University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Contributed by the Flux Research Group, Department of Computer Science,
 * University of Utah, http://www.cs.utah.edu/flux/
 */

/*
 * This module is used to initialize any machine dependent code.
 */

/*
 * AddModule: machineDependentModule
 *   Conditional: defined(INIT_MD)
 *   Comment: Machine dependent startup
 */
