#ifndef __kaffevm_mem_write_barrier_h
#define __kaffevm_mem_write_barrier_h

/* Provide write barrier support for incremental GC */
#if GC_WRITE_BARRIERS
#define SOFT_ADDREFERENCE(_f, _t)        softcall_addreference(_f, _t)
#define SOFT_ADDREFERENCE_STATIC(_f, _t) softcall_addreference_static(_f, _t)
#else
#define SOFT_ADDREFERENCE(_f, _t)
#define SOFT_ADDREFERENCE_STATIC(_f, _t)
#endif

#endif /* __kaffevm_mem_write_barrier_h */
