/*
 * Copyright (c) 1999, 2000 The University of Utah.  All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 *
 * See the file "license.terms" for information on usage and redistribution 
 * of this file.
 *
 * Contributed by the Flux Research Group at the University of Utah.
 * Authors: Godmar Back, Leigh Stoller, Patrick Tullmann
 */

/*
 * jthread debugging routines
 */

#ifndef anjthread_debug_h
#define anjthread_debug_h

#include "anjthread_types.h"

/*
 * Print info about a given jthread to stderr
 */
void jthread_dumpthreadinfo(struct _jthread* tid);

#endif /* anjthread_debug_h */
