/*
 * Copyright (c) 1999, 2000 The University of Utah.  All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 *
 * See the file "license.terms" for information on usage and redistribution 
 * of this file.
 *
 * Contributed by the Flux Research Group at the University of Utah.
 * Authors: Godmar Back, Leigh Stoller, Patrick Tullmann
 */

/*
 * jthread locking API
 */

#ifndef anjthread_lock_h
#define anjthread_lock_h

#include "config.h"
#include "jtypes.h"
#include "gtypes.h"
#include "anjthread_types.h"

jbool
jcondvar_wait(jcondvar *cv, jmutex *lock, jlong timeout);

/* the rest are inline fucntions */
#include "anjthread_inline.h"
#include "anjthread_lock-inline.h"

#endif /* anjthread_lock_h */

