/*
 * Copyright (c) 1999, 2000 The University of Utah.  All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 *
 * See the file "license.terms" for information on usage and redistribution 
 * of this file.
 *
 * Contributed by the Flux Research Group at the University of Utah.
 * Authors: Godmar Back, Leigh Stoller, Patrick Tullmann
 */

/*
 * Resource manipulation-related interfaces.
 */

#ifndef anjthread_resource_h
#define anjthread_resource_h

#include "anjthread_types.h"

void jthread_setpriority(struct _jthread* jtid, int prio);

#define STOPWORLD() \
{ \
	an_thread_setprio(an_thread_current(), AN_THREAD_PRIO_EXCLUSIVE); \
}

#define RESUMEWORLD() \
{ \
	an_thread_setprio(an_thread_current(), AN_THREAD_PRIO_NORMAL); \
}

#endif /* anjthread_resource_h */
