/*
 * Copyright (c) 1999, 2000 The University of Utah.  All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 *
 * See the file "license.terms" for information on usage and redistribution 
 * of this file.
 *
 * Contributed by the Flux Research Group at the University of Utah.
 * Authors: Godmar Back, Leigh Stoller, Patrick Tullmann
 */

/*
 * Inline jthread yield function
 */

#ifndef anjthread_yield_h
#define anjthread_yield_h

#include "anjthread_inline.h"

/*
 * yield to another thread
 */
ANJTHREAD_INLINE void 	
jthread_yield(void)
{ 
	an_thread_yield();
}

#endif /* anjthread_yield_h */
