
#ifndef _journal_inline_h
#define _journal_inline_h

#include "journal.h"

KAFFE_INLINE
int hashJournalEntryID(void *id)
{
	int retval;

	retval = ((uintp)id) % JOURNAL_ENTRY_COUNT;
	return( retval );
}

KAFFE_INLINE
void addJournalEntry(journal *j, journalEntry *je)
{
	int hash = hashJournalEntryID(je->id);

	je->next = j->entries[hash];
	j->entries[hash] = je;
}

#endif
