/*
 * MemoryResource.java
 * Provides java level access to a team's memory resource.
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.resources;

/**
 * Provides java level access to a team's memory resource.
 */
public final class MemoryResource
{
	/**
	 * @return The memory usage for the current team.
	 */
	public static int getUsage()
	{
		return 0;
	}

	/**
	 * @return The peak usage for the curent team.
	 */
	public static int getPeakUsage()
	{
		return 0;
	}

	/**
	 * @return The maximum allowed memory for this team.
	 */
	public static int getMax()
	{
		return 0;
	}
}
