/*
 * NameSpaceSpec.java
 * Resource specification for the root name space.
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.resources;

/**
 * Resource specification for the root name space.
 */
public final class NameSpaceSpec
	extends ResourceSpec
{

    /**
     * Construct a name space resource specification with the given class
     * imports.
     *
     * @param nsg An array of NameSpaceGroup's which describe which class
     * groups should be imported into the team.
     */
    public NameSpaceSpec(NameSpaceGroup nsg[])
    {
    }

}
