/*
 * moab_ChanStats.c
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#include <stdlib.h>

#include "../../../../kaffe/kaffevm/gtypes.h"
#include "../../../../kaffe/kaffevm/thread.h"

#include "moabglue.h"
#include "moabthread.h"

jint edu_utah_janos_nodeos_moab_ChanStats_getInPackets(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->inpackets;
}

jlong edu_utah_janos_nodeos_moab_ChanStats_getInBytes(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->inbytes;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getOutPackets(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->outpackets;
}

jlong edu_utah_janos_nodeos_moab_ChanStats_getOutBytes(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->outbytes;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getDropPackets(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->droppackets;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getDropNoBufs(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->dropnobufs;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getDropFailedBuf(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->dropfailedbuf;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getDropBadPacket(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->dropbadpacket;
}

jlong edu_utah_janos_nodeos_moab_ChanStats_getDropBytes(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->dropbytes;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getInBufQueued(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->inbufqueued;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getInBufCopies(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->inbufcopies;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getOutBufCopies(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->outbufcopies;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getMaxThreads(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return NATIVE_CHANSTATS(this)->maxthreads;
}

jint edu_utah_janos_nodeos_moab_ChanStats_getLength(struct Hedu_utah_janos_nodeos_moab_ChanStats *this)
{
	return sizeof(an_chanstats_t);
}

jint edu_utah_janos_nodeos_moab_ChanStats_marshal(struct Hedu_utah_janos_nodeos_moab_ChanStats *this,
						  struct Hedu_utah_janos_nodeos_moab_BufferHandle *bh,
						  jint offset)
{
	jbyte *data;

	data = an_pbuf_data(NATIVE_PBUF(bh));
	/* XXX Do byteswapping */
	memcpy(&data[offset], NATIVE_CHANSTATS(this), sizeof(an_chanstats_t));
	return sizeof(an_chanstats_t);
}

jint edu_utah_janos_nodeos_moab_ChanStats_unmarshal(struct Hedu_utah_janos_nodeos_moab_ChanStats *this,
						    struct Hedu_utah_janos_nodeos_moab_BufferHandle *bh,
						    jint offset)
{
	jbyte *data;

	data = an_pbuf_data(NATIVE_PBUF(bh));
	/* XXX Do byteswapping */
	memcpy(NATIVE_CHANSTATS(this), &data[offset], sizeof(an_chanstats_t));
	return sizeof(an_chanstats_t);
}
