/*
 * moab_DomainStats.c
 *
 * Copyright (c) 2000, 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#include <stdlib.h>

#include "../../../../kaffe/kaffevm/gtypes.h"
#include "../../../../kaffe/kaffevm/thread.h"

#include "moabglue.h"
#include "moabthread.h"

jint edu_utah_janos_nodeos_moab_DomainStats_getThreadCount(struct Hedu_utah_janos_nodeos_moab_DomainStats *this)
{
	return NATIVE_DOMAINSTATS(this)->curthreads;
}

jint edu_utah_janos_nodeos_moab_DomainStats_getMaxThreads(struct Hedu_utah_janos_nodeos_moab_DomainStats *this)
{
	return NATIVE_DOMAINSTATS(this)->maxthreads;
}

jint edu_utah_janos_nodeos_moab_DomainStats_getActivationCount(struct Hedu_utah_janos_nodeos_moab_DomainStats *this)
{
	return NATIVE_DOMAINSTATS(this)->activations;
}

jint edu_utah_janos_nodeos_moab_DomainStats_getCPUUsage(struct Hedu_utah_janos_nodeos_moab_DomainStats *this)
{
	return NATIVE_DOMAINSTATS(this)->cpuused;
}

jint edu_utah_janos_nodeos_moab_DomainStats_getMemoryUsage(struct Hedu_utah_janos_nodeos_moab_DomainStats *this)
{
	return NATIVE_DOMAINSTATS(this)->memused;
}

jint edu_utah_janos_nodeos_moab_DomainStats_getLength(struct Hedu_utah_janos_nodeos_moab_DomainStats *this)
{
	return sizeof(an_domainstats_t);
}

jint edu_utah_janos_nodeos_moab_DomainStats_marshal(struct Hedu_utah_janos_nodeos_moab_DomainStats *this,
						  struct Hedu_utah_janos_nodeos_moab_BufferHandle *bh,
						  jint offset)
{
	jbyte *data;

	data = an_pbuf_data(NATIVE_PBUF(bh));
	/* XXX Do byteswapping */
	memcpy(&data[offset], NATIVE_DOMAINSTATS(this), sizeof(an_domainstats_t));
	return sizeof(an_domainstats_t);
}

jint edu_utah_janos_nodeos_moab_DomainStats_unmarshal(struct Hedu_utah_janos_nodeos_moab_DomainStats *this,
						    struct Hedu_utah_janos_nodeos_moab_BufferHandle *bh,
						    jint offset)
{
	jbyte *data;

	data = an_pbuf_data(NATIVE_PBUF(bh));
	/* XXX Do byteswapping */
	memcpy(NATIVE_DOMAINSTATS(this), &data[offset], sizeof(an_domainstats_t));
	return sizeof(an_domainstats_t);
}
