/*
 * moabthread.h
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#ifndef _MOABTHREAD_H_
#define _MOABTHREAD_H_

#include <nodeos/an_domain.h>

#include "moabglue.h"

struct Hjava_lang_Runnable;

void
moabglue_startExplicitThread(an_domain_t* domain,
			     struct Hjava_lang_Runnable* runnable);

void
moabglue_inChanCallback(struct an_pbuf* buffer, void* arg, int payloadStart);

#endif /* _MOABTHREAD_H_ */
