/*
 * ClassGroupNotFoundException.java
 * Exception indicating that the class group couldn't be found in the config
 * file.
 *
 * Copyright (c) 2001, 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.resources;

/**
 * Exception indicating that the class group couldn't be found in the config
 * file.
 */
public class ClassGroupNotFoundException
	extends Exception
{
    public ClassGroupNotFoundException(String msg)
    {
	super(msg);
    }
    
    public ClassGroupNotFoundException()
    {
    }
}
