/*
 * CrossTeamCloneable.java
 * Interface used to indicate that cross team pointers should be nulled when
 * cloning an object instead of throwing a SegmentationFaultError.
 *
 * Copyright (c) 2001, 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.sys;

/**
 * Interface used to indicate that cross team pointers should be nulled when
 * cloning an object instead of throwing a SegmentationFaultError.
 */
public interface CrossTeamCloneable
{
}
