/*
 * ReservationOverflowException.java
 * Exception thrown when a thread has too many team reservations.
 *
 * Copyright (c) 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.sys;

/**
 * Exception thrown when a thread has too many team reservations.
 *
 * @author Tim Stack, <a href="mailto:janos-discuss@flux.cs.utah.edu">Utah Janos Team</a>
 */
public class ReservationOverflowException
    extends Exception
{
    public ReservationOverflowException()
    {
	super();
    }

    public ReservationOverflowException(String s)
    {
	super(s);
    }
}
