/*
 * NoReplyPortError.java
 * Base class for simple cloneable messages that can be sent between teams.
 *
 * Copyright (c) 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.kit.comm.amiga;

/**
 * Error thrown if Facsimile/Message.reply() is used when the message doesn't
 * have a reply port.
 */
public class NoReplyPortError
    extends Error
{
    public NoReplyPortError()
    {
    }
}
