/*
 * OutOfSignalsError.java
 * Error thrown when a SignalSet has no more signals available.
 *
 * Copyright (c) 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.kit.comm.amiga;

/**
 * Error thrown when a SignalSet has no more signals available.
 */
public class OutOfSignalsError
    extends Error
{
    public OutOfSignalsError()
    {
	super();
    }

    public OutOfSignalsError(String s)
    {
	super(s);
    }
}
