/*
 * MissingPairException.java
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.kit.comm.jsi;

/**
 * Exception indicating that an identifier doesn't exist in a message.
 */
public class MissingPairException
    extends Exception
{
    public MissingPairException(String tag)
    {
	super("Message doesn't contain tag: " + tag);
    }
}
