/*
 * AntiAssociation.java
 * The opposite of an Association.
 *
 * Copyright (c) 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.kit.util;

class AntiAssociation
    extends Association
{
    /**
     * Construct an AntiAssociation to override a previous Association.
     *
     * @param name The identifier of the Association to remove.
     */
    public AntiAssociation(Object name)
    {
	super(name, null);
    }
}
