
/*
 * Simple test to make sure JSI prints out a useful message (or atleast
 * similar to the one the regular Kaffe main prints out), when the class
 * to run fails to load properly.
 */

public class BadClass
{
    static {
	throw new Error("Blah, blah, blah");
    }
}

/* Expected Output:
BadClass threw exception during run
java/lang/ExceptionInInitializerError:[exception was java.lang.Error: Blah, blah, blah]
	at java.lang.Class.forName0(Class.java:native)
	at java.lang.Class.forName(Class.java:54)
ExceptionInInitializerError:Blah, blah, blah
	at java.lang.Throwable.fillInStackTrace(Throwable.java:native)
	at java.lang.Throwable.<init>(Throwable.java:40)
	at java.lang.Error.<init>(Error.java:21)
	at BadClass.<clinit>(BadClass.java:11)
	at java.lang.Class.forName0(Class.java:native)
	at java.lang.Class.forName(Class.java:54)
*/
