
import edu.utah.janosvm.sys.TeamHandle;
import edu.utah.janosvm.sys.Team;
import edu.utah.janosvm.sys.VMInstance;
import edu.utah.janosvm.sys.DeadTeamException;
import edu.utah.janosvm.sys.TeamEjectionException;

import edu.utah.janosvm.resources.StdioSpec;
import edu.utah.janosvm.resources.ResourceSpec;

public class Crash
{

    public static void main(String args[])
	throws Exception
    {
	Team lt = Team.current();

	/* Create a new team to abuse */
	TeamHandle team = Team.create("Child of " + lt.getName() + lt.getID(),
				      new ResourceSpec[] {
					      StdioSpec.currentFD()
				      });
	
	try
	{
	    /*
	     * Visit the team and cause a `catastrophe', which basically means
	     * kaffe painted itself into a corner and we have to cut the stack
	     * and return to a stable point to recover.  The `stable point'
	     * in this case is a visit.
	     */
	    team.switchTo();
	    {
		System.out.println("Red Alert  Red Alert  Its a catastrophe");
		VMInstance.crash();
	    }
	    team.returnFrom();
	}
	catch(TeamEjectionException dte)
	{
	    /* DeadTeamExceptions get thrown when a catastrophe occurs */
	    System.out.println("But don't worry, don't panic");
	}
	/* Finish off the team */
	team.terminate();
	System.out.println("Ain't nothing goin on but history");
	System.out.println("But its alright, don't panic");
    }
    
}

/* Expected Output:
Red Alert  Red Alert  Its a catastrophe
But don't worry, don't panic
Ain't nothing goin on but history
But its alright, don't panic
*/
