
import edu.utah.janosvm.kit.util.SparseArray;
import edu.utah.janosvm.kit.util.SparseArrayElement;

public class SparseArrayTest
{
    public static void main(String args[])
    {
	SparseArrayElement elements[];
	SparseArray sa;
	int lpc;
		
	sa = new SparseArray();
	elements = new SparseArrayElement[sa.getXSize() *
					 sa.getYSize()];
	for( lpc = 0; lpc < elements.length; lpc++ )
	{
	    elements[lpc] = sa.getElement();
	    if( elements[lpc] == null )
		throw new Error();
	}
	for( lpc = elements.length - 1; lpc >= 0; lpc-- )
	{
	    if( elements[lpc] !=
		sa.findElement(elements[lpc].getID()) )
	    {
		throw new Error();
	    }
	}
	for( lpc = elements.length - 1; lpc >= 0; lpc-- )
	{
	    sa.dropElement(elements[lpc]);
	}
	for( lpc = 0; lpc < 16384; lpc++ )
	{
	    if( sa.findElement((long)lpc) != null )
	    {
		throw new Error();
	    }
	}
	System.out.println("Test succeeded");
    }
}

/* Expected Output:
Test succeeded
*/
