
import edu.utah.janosvm.sys.VMInstance;

import edu.utah.janosvm.resources.NameSpaceResource;

public class Spinner
{
    // 1h timeout...
    private static final long TIMEOUT_SECONDS = 1 * 60 * 60;

    private static class Worker
	implements Runnable
    {
	public void run()
	{
	    int timeoutCt = 0;
	    
	    while( true )
	    {
		try
		{
		    int lpc;
		    
		    for( lpc = 0; lpc < 10; lpc++ )
		    {
			byte foo[] = new byte[lpc * 10];
		    }
		    Thread.sleep(100);
		}
		catch(InterruptedException e)
		{
		}
		
		// XXX this is a hack to prevent hangups in
		// flest from creating future problems.
		timeoutCt++;
		if (timeoutCt > TIMEOUT_SECONDS * 10)
		{
		    System.err.println("Timed out!");
		    VMInstance.shutdown();
		}
	    }
	}
    }
	
    public static void main(String args[])
	throws Exception
    {
	Worker w = new Worker();
		
	NameSpaceResource.exportClassGroup("janosvm");
	NameSpaceResource.exportClassGroup("fakeJava");
	NameSpaceResource.exportClassGroup("kit-server-memfs");

	if( args.length == 0 )
	{
	    w.run();
	}
	else
	{
	    new Thread(w).start();
	}
    }
	
}
